//    BLKEDIT.DCL 
//
//    Copyright (C) 1992 by Joe Thompson, Inc.
//
//    This file is intended for use with the product BLKEDIT.
//    Any changes to this file not suggested and results may be
//    unpredictable.  
//
//    THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
//    WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
//    PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
//
blockedit : dialog 
{
  label = "Block Edit Ver 3.0";

  :edit_box
  {
    label = "Block name";
    key = "blkname";
  }
  :row
  {
    :boxed_column
    {
      label = "Edit Properties:";
      key = "off";
      :toggle
    	{
       	label = "Color";
       	key = "color";
    	}
      :toggle
    	{
       	label = "Linetype";
       	key = "linet";
    	}
      :toggle
    	{
       	label = "Layer";
       	key = "layer";
    	}
      :toggle
    	{
       	label = "Thickness";
       	key = "thick";
    	}
    }
    :boxed_column
    {
      label = "Edit Features:";
      key = "off1";
      :toggle
    	{
       	label = "Change Points";
       	key = "end";
    	}
      :toggle
    	{
       	label = "Change Radius";
       	key = "rad";
    	}
      :toggle
    	{
       	label = "Edit Text";
       	key = "text";
    	}
      :toggle
    	{
       	label = "Move entity";
       	key = "move";
    	}
    }
    :boxed_column
    {
      label = "Scale Factor:";
      :edit_box
      {
    	  label = "X Scale";
       	key = "xscale";
       	edit_width = 6;
    	}
      :edit_box
    	{
       	label = "Y Scale";
       	key = "yscale";
       	edit_width = 6;
      }
      :edit_box
    	{
       	label = "Z Scale";
       	key = "zscale";
       	edit_width = 6;
    	}
    }
  }
  spacer_1;
  :boxed_row
  {
    label = "Redefine Block:";

    key = "off2";
    :button
    {
      label = "  Add Entities ";
      mnemonic = "A";
      key = "add";
   	}
    :button
    {
      label = "Remove Entities";
      mnemonic = "R";
      key = "delent";
   	}   	
    :toggle
   	{
     	label = "Copy Block";
     	key = "nblk";
   	}
 	}

  spacer_1;
  :row
  {
    spacer_0;
    ok_cancel_help;
    :button
    {
      label = "Undo Last";
      key = "undo";
    }
    spacer_0;
  }
}    


laysel :dialog
{
  label = "Select Layer";
  : list_box
  {
    key = "layname";
    width = 35;
    multiple_select = false;
    allow_accept = true;
  }
  :row
  {
    spacer_1;
    spacer_1;
    :toggle
    {
      label = "Select";
      key = "sel";
    }
    spacer_1;
    spacer_1;
  }
  spacer_1;
  :text
  {
    label = "* Layer is frozen";
  }
  ok_cancel;
}

ltypesel :dialog
{
  label = "Select Linetype";
  : list_box
  {
    key = "ltypename";
    width = 35;
    multiple_select = false;
    allow_accept = true;
  }
  ok_cancel;
}

chkname :dialog
{
  label = "File Error";

  spacer_1;
  : text
  {
    key = "chkname";
    alignment = centered;
    width = 35;
  }
  spacer_1;
  ok_cancel;
}

edittext :dialog
{
  label = "Edit Text";
  spacer_1;
  :edit_box
  {
    label = "Text:";
    key = "textedit";
    edit_width = 35;
    edit_limit = 128;
  }
  spacer_1;
  ok_cancel;
}

tagedit :dialog
{
  label = "Attribute Tag Edit";
  spacer_1;
  :row
  {
    :text
    {
      label = "Tag: ";
    }
    :text
    {
      width = 30;
      key = "atttag";
    }
  }
  :edit_box
  {
    label = "Value:";
    key = "tedit";
    edit_width = 25;
    edit_limit = 25;
  }
  spacer_1;
  ok_cancel;
}


checkAddAll : dialog 
{
  label = "Add Attributes";

  spacer_1;
  :paragraph
  {
    :text_part
    {
      label = " Add attributes to all inserts ? ";
    }
  }
  spacer_1;
  ok_cancel;
}

checkRemoveAll : dialog 
{
  label = "Remove Attributes";

  spacer_1;
  :paragraph
  {
    :text_part
    {
      label = " Remove attributes from all inserts ? ";
    }
  }
  spacer_1;
  ok_cancel;
}

register : dialog
{
  label = "Block Edit Version 3.0 Registration";

  :edit_box
  {

  }

}
